''Test Two Servos.spin

CON
   
  _clkmode = xtal1 + pll16x                  
  _xinfreq = 5_000_000


VAR

  byte pin[2]
  long servo[2]

OBJ

  Servos : "Servos"

PUB testServos | index, speed

  '' Initialize all servos to center pulse duration.
  pin[0] := 16                               ' 0th servo pin is P16
  pin[1] := 18                               ' 1st servo pin is 18
  servo[0] := servo[1] := 0                  ' Center both servos

  '' Start the servos object
  servos.start(@pin[0], @servo[0], 2)

  '' Program stops here.  Comment this if you want to move on to the
  '' ramping code
  repeat
  
  '' Wait for a while, letting the object deliver pulses to the servos.
  waitcnt(clkfreq*3 + cnt)

  ''  Loop sweeps the lower four servos.
  repeat speed from 0 to -100 step 5
    servo[0] := speed
    servo[1] := -speed
  repeat
    repeat speed from -100 to 100 step 5
      servo[0] := speed
      servo[1] := -speed
      